Index: testsuites/fstests/fsdosfsname01/init.c
===================================================================
--- testsuites/fstests/fsdosfsname01/init.c	(revision ea092ccc798b820ebe5505a0b1f1cc65fbb80bac)
+++ testsuites/fstests/fsdosfsname01/init.c	(revision 24b94c47713bbaadd8b8a876a2e7c7f3a9def5d8)
@@ -63,16 +63,4 @@
 
 #define BLOCK_SIZE 512
-
-#define BLOCK_COUNT ( sizeof( image_bin ) / BLOCK_SIZE )
-
-static ramdisk                            disk_image = {
-  .block_size             = BLOCK_SIZE,
-  .block_num              = BLOCK_COUNT,
-  .area                   = &image_bin[0],
-  .initialized            = true,
-  .malloced               = false,
-  .trace                  = false,
-  .free_at_delete_request = false
-};
 
 static rtems_resource_snapshot            before_mount;
@@ -987,9 +975,6 @@
 {
   int                       rc;
-  rtems_status_code         sc;
-  dev_t                     dev;
-  char                      diskpath[] = "/dev/ramdisk1";
+  char                      diskpath[] = "/dev/rdd";
   rtems_dosfs_mount_options mount_opts;
-  rtems_device_major_number major;
   FILE                     *fp;
   int                       buffer;
@@ -1008,18 +993,4 @@
   rtems_test_assert( mount_opts.converter != NULL );
 
-  sc = rtems_io_register_driver( 0, &ramdisk_ops, &major );
-  rtems_test_assert( sc == RTEMS_SUCCESSFUL );
-
-  dev = rtems_filesystem_make_dev_t( major, 1 );
-
-  sc  = rtems_disk_create_phys(
-    dev,
-    BLOCK_SIZE,
-    BLOCK_COUNT,
-    ramdisk_ioctl,
-    &disk_image,
-    diskpath );
-  rtems_test_assert( sc == RTEMS_SUCCESSFUL );
-
   rc = mount_and_make_target_path(
     diskpath,
@@ -1422,5 +1393,6 @@
   { .block_size = BLOCK_SIZE, .block_num = BLOCK_NUM },
   { .block_size = BLOCK_SIZE, .block_num = BLOCK_NUM, .location = &IMAGE_BIN_LE_SINGLEBYTE[0] },
-  { .block_size = BLOCK_SIZE, .block_num = BLOCK_NUM, .location = &IMAGE_BIN_LE_MULTIBYTE[0] }
+  { .block_size = BLOCK_SIZE, .block_num = BLOCK_NUM, .location = &IMAGE_BIN_LE_MULTIBYTE[0] },
+  { .block_size = BLOCK_SIZE, .block_num = sizeof( image_bin ) / BLOCK_SIZE, .location = image_bin }
 };
 
@@ -1430,5 +1402,4 @@
 #define CONFIGURE_APPLICATION_DOES_NOT_NEED_CLOCK_DRIVER
 #define CONFIGURE_APPLICATION_NEEDS_SIMPLE_CONSOLE_DRIVER
-#define CONFIGURE_MAXIMUM_DRIVERS 4
 #define CONFIGURE_MAXIMUM_SEMAPHORES (2 * RTEMS_DOSFS_SEMAPHORES_PER_INSTANCE)
 #define CONFIGURE_APPLICATION_EXTRA_DRIVERS RAMDISK_DRIVER_TABLE_ENTRY
Index: testsuites/fstests/mdosfs_support/fs_support.c
===================================================================
--- testsuites/fstests/mdosfs_support/fs_support.c	(revision ea092ccc798b820ebe5505a0b1f1cc65fbb80bac)
+++ testsuites/fstests/mdosfs_support/fs_support.c	(revision 24b94c47713bbaadd8b8a876a2e7c7f3a9def5d8)
@@ -88,5 +88,4 @@
 #define CONFIGURE_MAXIMUM_SEMAPHORES RTEMS_DOSFS_SEMAPHORES_PER_INSTANCE
 #define CONFIGURE_MAXIMUM_TASKS                     10
-#define CONFIGURE_MAXIMUM_DRIVERS                   10
 #define CONFIGURE_LIBIO_MAXIMUM_FILE_DESCRIPTORS    40
 #define CONFIGURE_INIT_TASK_STACK_SIZE (16 * 1024)
Index: testsuites/fstests/mrfs_support/fs_support.c
===================================================================
--- testsuites/fstests/mrfs_support/fs_support.c	(revision ea092ccc798b820ebe5505a0b1f1cc65fbb80bac)
+++ testsuites/fstests/mrfs_support/fs_support.c	(revision 24b94c47713bbaadd8b8a876a2e7c7f3a9def5d8)
@@ -67,5 +67,4 @@
 
 #define CONFIGURE_MAXIMUM_TASKS                     10
-#define CONFIGURE_MAXIMUM_DRIVERS                   10
 #define CONFIGURE_LIBIO_MAXIMUM_FILE_DESCRIPTORS    40
 #define CONFIGURE_INIT_TASK_STACK_SIZE (32 * 1024)
Index: testsuites/fstests/support/ramdisk_support.c
===================================================================
--- testsuites/fstests/support/ramdisk_support.c	(revision ea092ccc798b820ebe5505a0b1f1cc65fbb80bac)
+++ testsuites/fstests/support/ramdisk_support.c	(revision 24b94c47713bbaadd8b8a876a2e7c7f3a9def5d8)
@@ -12,10 +12,7 @@
 #endif
 
-#include <sys/stat.h>
-#include <fcntl.h>
+#include <unistd.h>
 
 #include <rtems/ramdisk.h>
-#include <rtems/blkdev.h>
-#include <rtems/libio.h>
 
 #include "ramdisk_support.h"
@@ -27,6 +24,4 @@
  */
 
-dev_t dev = 0;
-
 void
 init_ramdisk (void)
@@ -34,8 +29,7 @@
 
   int rc = 0;
-  rc = rtems_disk_io_initialize ();
-  rtems_test_assert (rc == 0);
+
   rc = ramdisk_register (RAMDISK_BLOCK_SIZE, RAMDISK_BLOCK_COUNT,
-                         false, RAMDISK_PATH, &dev);
+                         false, RAMDISK_PATH);
   rtems_test_assert (rc == 0);
 }
@@ -46,19 +40,6 @@
 
   int rc = 0;
-  rtems_device_major_number major = 0;
-  rtems_device_minor_number minor = 0;
 
-  rc = rtems_disk_delete (dev);
+  rc = unlink (RAMDISK_PATH);
   rtems_test_assert (rc == 0);
-
-  rtems_filesystem_split_dev_t (dev, major, minor);
-
-  rtems_test_assert (major >= 0);
-  rtems_test_assert (minor >= 0);
-
-  rc = rtems_io_unregister_driver (major);
-  rtems_test_assert (rc == 0);
-  rc = rtems_disk_io_done ();
-  rtems_test_assert (rc == 0);
-
 }
